E-MailRelay

Public Member Functions | List of all members
GSmtp::FileIterator Class Reference

A GSmtp::MessageStore::Iterator for GSmtp::FileStore. More...

Inheritance diagram for GSmtp::FileIterator:

## Public Member Functions
| FileIterator (FileStore &store, const G::Path &dir, bool lock, bool failures)
| FileIterator (const FileIterator &)=delete
| FileIterator (FileIterator &&)=delete
void | operator= (const FileIterator &)=delete
void | operator= (FileIterator &&)=delete
Public Member Functions inherited from GSmtp::MessageStore::Iterator
virtual std::unique_ptr< StoredMessage > | next ()=0
| Returns the next stored message or a null pointer.
virtual | ~Iterator ()=default
| Destructor.

## Detailed Description

A GSmtp::MessageStore::Iterator for GSmtp::FileStore.

Definition at line 44 of file gfilestore.cpp.

## Constructor & Destructor Documentation

## ◆ FileIterator()

GSmtp::FileIterator::FileIterator | ( | FileStore & | store,
|  | const G::Path & | dir,
|  | bool | lock,
|  | bool | failures
| ) |  |

Definition at line 67 of file gfilestore.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.cpp